#ifndef SAVE_H
#define SAVE_H

#include "settings.h"

#define SRAM ((vu8*)(MEM_CART))
#define SAVE_INIT_MAGIC 0xBADD10DE

typedef struct Metadata {
    u8 blank;
    u32 initialized;
    int current_bank;
    int current_pattern;
    Settings settings;
} Metadata;

void save_bank(int i);
void load_bank(int i);
void save_metadata(void);

#endif // SAVE_H
